Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(Revision 213784)
+++ channels/chan_sip.c	(Arbeitskopie)
@@ -6377,6 +6377,13 @@
 
 	ast_copy_string(buf, value, sizeof(buf));
 
+	/* split host[:port][/contact] */
+	callback = strchr(buf, '/');
+	if (callback)
+		*callback++ = '\0';
+	if (ast_strlen_zero(callback))
+		callback = "s";
+		
 	/* split [peername?][transport://] */
 	tmp = strchr(buf, '?');
 	if (tmp) {
@@ -6405,12 +6412,6 @@
 			*authuser++ = '\0';
 	}
 
-	/* split host[:port][/contact] */
-	callback = strchr(hostname, '/');
-	if (callback)
-		*callback++ = '\0';
-	if (ast_strlen_zero(callback))
-		callback = "s";
 	/* Separate host from port when checking for reserved characters
 	 */
 	if ((port = strchr(hostname, ':'))) {
